Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XSElementDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSElementDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration, weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSTerm

Deprecated. please use JDK supplied XML parsers and transformers

    public class XSElementDecl

extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

The XML representation for an element declaration schema component is an element information item

Field Summary
`short` | `fBlock` Deprecated.
`ValidatedInfo` | `fDefault` Deprecated.
`short` | `fFinal` Deprecated.
`String` | `fName` Deprecated.
`short` | `fScope` Deprecated.
`XSElementDecl` | `fSubGroup` Deprecated.
`String` | `fTargetNamespace` Deprecated.
`XSTypeDecl` | `fType` Deprecated.
`static short` | `SCOPE_ABSENT` Deprecated.
`static short` | `SCOPE_GLOBAL` Deprecated.
`static short` | `SCOPE_LOCAL` Deprecated.

Constructor Summary
`XSElementDecl()` Deprecated.

Method Summary
`void` | `addIDConstaint(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint idc)` Deprecated.
`boolean` | `equals(Object o)` Deprecated. whether two decls are the same
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getConstraintType()` Deprecated. A value constraint: one of default, fixed.
`String` | `getConstraintValue()` Deprecated. A value constraint: The actual value (with respect to the {type definition})
`short` | `getDisallowedSubstitutions()` Deprecated. The supplied values for {disallowed substitutions}
`weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Deprecated. Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
`weblogic.apache.xerces.impl.xs.identity.IdentityConstraint[]` | `getIDConstraints()` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSNamedMap` | `getIdentityConstraints()` Deprecated. {identity-constraint definitions} A set of constraint definitions.
`boolean` | `getIsAbstract()` Deprecated. {abstract} A boolean.
`boolean` | `getIsDisallowedSubstition(short disallowed)` Deprecated. Convenience method.
`boolean` | `getIsNillable()` Deprecated. If {nillable} is true, then an element may also be valid if it carries the namespace qualified attribute with [local name] nil from namespace http://www.w3.org/2001/XMLSchema-instance and value true (see xsi:nil (2.6.2)) even if it has no text or element content despite a {content type} which would otherwise require content.
`boolean` | `getIsSubstitutionGroupExclusion(short exclusion)` Deprecated. Convenience method.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`short` | `getScope()` Deprecated. Optional.
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getSubstitutionGroupAffiliation()` Deprecated. {substitution group affiliation} Optional.
`short` | `getSubstitutionGroupExclusions()` Deprecated. Specifies if this declaration can be nominated as the {substitution group affiliation} of other element declarations having the same {type definition} or types derived therefrom.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition()` Deprecated. Either a simple type definition or a complex type definition.
`int` | `hashCode()` Deprecated. get the hash code
`void` | `reset()` Deprecated. Reset current element declaration
`void` | `setConstraintType(short constraintType)` Deprecated.
`void` | `setIsAbstract()` Deprecated.
`void` | `setIsGlobal()` Deprecated.
`void` | `setIsLocal(XSComplexTypeDecl enclosingCT)` Deprecated.
`void` | `setIsNillable()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SCOPE_ABSENT

    public static final short SCOPE_ABSENT

  Deprecated.
  See Also:
    Constant Field Values

### SCOPE_GLOBAL

    public static final short SCOPE_GLOBAL

  Deprecated.
  See Also:
    Constant Field Values

### SCOPE_LOCAL

    public static final short SCOPE_LOCAL

  Deprecated.
  See Also:
    Constant Field Values

### fName

    public String fName

  Deprecated.

### fTargetNamespace

    public String fTargetNamespace

  Deprecated.

### fType

    public XSTypeDecl fType

  Deprecated.

### fScope

    public short fScope

  Deprecated.

### fBlock

    public short fBlock

  Deprecated.

### fFinal

    public short fFinal

  Deprecated.

### fDefault

    public ValidatedInfo fDefault

  Deprecated.

### fSubGroup

    public XSElementDecl fSubGroup

  Deprecated.

Constructor Detail

### XSElementDecl

    public XSElementDecl()

  Deprecated.

Method Detail

### setConstraintType

    public void setConstraintType(short constraintType)

  Deprecated.

### setIsNillable

    public void setIsNillable()

  Deprecated.

### setIsAbstract

    public void setIsAbstract()

  Deprecated.

### setIsGlobal

    public void setIsGlobal()

  Deprecated.

### setIsLocal

    public void setIsLocal(XSComplexTypeDecl enclosingCT)

  Deprecated.

### addIDConstaint

    public void addIDConstaint(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint idc)

  Deprecated.

### getIDConstraints

    public weblogic.apache.xerces.impl.xs.identity.IdentityConstraint[] getIDConstraints()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  get the hash code

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Deprecated.
  whether two decls are the same

  Overrides:
    `equals` in class `Object`

### reset

    public void reset()

  Deprecated.
  Reset current element declaration

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

  Deprecated.
  Either a simple type definition or a complex type definition.

  Specified by:
    `getTypeDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getScope

    public short getScope()

  Deprecated.
  Optional. Either global or a complex type definition ( `ctDefinition`). This property is absent in the case of declarations within named model groups: their scope will be determined when they are used in the construction of complex type definitions.

  Specified by:
    `getScope` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getEnclosingCTDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition getEnclosingCTDefinition()

  Deprecated.
  Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.

  Specified by:
    `getEnclosingCTDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getConstraintType

    public short getConstraintType()

  Deprecated.
  A value constraint: one of default, fixed.

  Specified by:
    `getConstraintType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getConstraintValue

    public String getConstraintValue()

  Deprecated.
  A value constraint: The actual value (with respect to the {type definition})

  Specified by:
    `getConstraintValue` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getIsNillable

    public boolean getIsNillable()

  Deprecated.
  If {nillable} is true, then an element may also be valid if it carries the namespace qualified attribute with [local name] nil from namespace http://www.w3.org/2001/XMLSchema-instance and value true (see xsi:nil (2.6.2)) even if it has no text or element content despite a {content type} which would otherwise require content.

  Specified by:
    `getIsNillable` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getIdentityConstraints

    public weblogic.apache.xerces.impl.xs.psvi.XSNamedMap getIdentityConstraints()

  Deprecated.
  {identity-constraint definitions} A set of constraint definitions.

  Specified by:
    `getIdentityConstraints` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getSubstitutionGroupAffiliation

    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getSubstitutionGroupAffiliation()

  Deprecated.
  {substitution group affiliation} Optional. A top-level element definition.

  Specified by:
    `getSubstitutionGroupAffiliation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getIsSubstitutionGroupExclusion

    public boolean getIsSubstitutionGroupExclusion(short exclusion)

  Deprecated.
  Convenience method. Check if `exclusion` is a substitution group exclusion for this element declaration.

  Specified by:
    `getIsSubstitutionGroupExclusion` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`
  Parameters:
    `exclusion` - Extension, restriction or none. Represents final set for the element.
  Returns:
    True if `exclusion` is a part of the substitution group exclusion subset.

### getSubstitutionGroupExclusions

    public short getSubstitutionGroupExclusions()

  Deprecated.
  Specifies if this declaration can be nominated as the {substitution group affiliation} of other element declarations having the same {type definition} or types derived therefrom.

  Specified by:
    `getSubstitutionGroupExclusions` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`
  Returns:
    A bit flag representing {extension, restriction} or NONE.

### getIsDisallowedSubstition

    public boolean getIsDisallowedSubstition(short disallowed)

  Deprecated.
  Convenience method. Check if `disallowed` is a disallowed substitution for this element declaration.

  Specified by:
    `getIsDisallowedSubstition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`
  Parameters:
    `disallowed` - Substitution, extension, restriction or none. Represents a block set for the element.
  Returns:
    True if `disallowed` is a part of the substitution group exclusion subset.

### getDisallowedSubstitutions

    public short getDisallowedSubstitutions()

  Deprecated.
  The supplied values for {disallowed substitutions}

  Specified by:
    `getDisallowedSubstitutions` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`
  Returns:
    A bit flag representing {substitution, extension, restriction} or NONE.

### getIsAbstract

    public boolean getIsAbstract()

  Deprecated.
  {abstract} A boolean.

  Specified by:
    `getIsAbstract` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD